<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.deployment-scanner.scanner" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="auto-deploy-exploded,auto-deploy-xml,auto-deploy-zipped,deployment-timeout,path,relative-to,runtime-failure-causes-rollback,scan-enabled,scan-interval"/>
        <elem name="addr-params" value="subsystem,scanner"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.deployment-scanner"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.management.deployment-scanner.$scanner"/>
    </provides>
    <requires>
        <capability name="org.wildfly.management.path.$relative-to" optional="true"/>
        <capability name="org.wildfly.management.path-manager"/>
    </requires>
    <refs>
        <ref feature="subsystem.deployment-scanner"/>
    </refs>
    <params>
        <param name="path" stability="default"/>
        <param name="relative-to" nillable="true" stability="default"/>
        <param name="auto-deploy-exploded" nillable="true" stability="default"/>
        <param name="deployment-timeout" nillable="true" stability="default"/>
        <param name="scanner" feature-id="true"/>
        <param name="auto-deploy-xml" nillable="true" stability="default"/>
        <param name="auto-deploy-zipped" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="deployment-scanner"/>
        <param name="scan-interval" nillable="true" stability="default"/>
        <param name="runtime-failure-causes-rollback" nillable="true" stability="default"/>
        <param name="scan-enabled" nillable="true" stability="default"/>
    </params>
</feature-spec>